<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$TCA['tx_mediaelements_item'] = array (
	'ctrl' => $TCA['tx_mediaelements_item']['ctrl'],
	'interface' => array (
		'showRecordFieldList' => 'hidden,starttime,endtime,fe_group,file,file_url,title,description,author,image'
	),
	'feInterface' => $TCA['tx_mediaelements_item']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'starttime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'default'  => '0',
				'checkbox' => '0'
			)
		),
		'endtime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'checkbox' => '0',
				'default'  => '0',
				'range'    => array (
					'upper' => mktime(3, 14, 7, 1, 19, 2038),
					'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
				)
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		'mediatype' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.mediatype',		
			'config' => array (
				'type' => 'select',
				'items' => array (
					array('Video', 1),
					array('Audio', 2),
					array('Youtube', 3),
					array('Vimeo', 4)
				),
				'eval' => 'required',
			)
		),
		'file' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.file',		
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file_reference',
				'allowed' => 'mp4,webm,ogg,mpeg,m4v,ogv,mov,rtmp,aac,mp1,mp2,mp3,mpg,m4a,oga,wav,flv',	
				'disallowed' => 'php,php3',	
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],	
				//'uploadfolder' => 'uploads/tx_mediaelements',
				'size' => 4,	
				'minitems' => 0,
				'maxitems' => 10,
			)
		),
		'file_url' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.file_url',		
			'config' => array (
				'type' => 'text',
				'cols' => '32',	
				'rows' => '4',
			)
		),
		'track' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.track_files',		
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file_reference',
				'allowed' => 'vtt,ttml,srt,txt,csv,xml',	
				'disallowed' => 'php,php3',	
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],	
				'size' => 4,	
				'minitems' => 0,
				'maxitems' => 10,
			)
		),
		'track_title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.track_title',		
			'config' => array (
				'type' => 'text',
				'cols' => '25',	
				'rows' => '4',
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',	
				'max' => '255',	
				'eval' => 'required',
			)
		),
		'description' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.description',		
			'config' => array (
				'type' => 'text',
				'cols' => '32',	
				'rows' => '3',
			)
		),
		'author' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.author',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',
			)
		),
		'image' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.image',		
			'config' => array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],	
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],	
				'uploadfolder' => 'uploads/tx_mediaelements',
				'show_thumbs' => 1,	
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
	),
	'types' => array (
		'1' => array('showitem' => '--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.files,mediatype,file,file_url,--palette--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.track;2,--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.description,title;;;;2-2-2, description;;;;3-3-3, author, image, --div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.access,hidden;;3;;1-1-1,'),
		'2' => array('showitem' => '--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.files,mediatype,file,file_url,--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.description,title;;;;2-2-2, description;;;;3-3-3, author, image, --div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.access,hidden;;3;;1-1-1,'),
		'3' => array('showitem' => '--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.files,mediatype,file_url,--palette--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.track;2,--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.description,title;;;;2-2-2, description;;;;3-3-3, author, image, --div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.access,hidden;;3;;1-1-1,'),
		'4' => array('showitem' => '--div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.files,mediatype,file_url,title;;;;2-2-2, description;;;;3-3-3, author, image, --div--;LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.palette.access,hidden;;3;;1-1-1,'),
	),
	'palettes' => array (
		//'1' => array('showitem' => 'file,file_url', 'canNotCollapse'=> 1),
		'2' => array('showitem' => 'track,track_title', 'canNotCollapse'=> 1),
		'3' => array('showitem' => 'starttime, endtime, fe_group'),
	)
);

$TCA['tx_mediaelements_item']['ctrl']['type'] =	'mediatype';
$TCA['tx_mediaelements_item']['ctrl']['mainpalette'] = '1';
$TCA['tx_mediaelements_item']['ctrl']['canNotCollapse']	= '1';

?>